Dummy(3)

NAME
Dummy - test program for the general operator - millenium version! uses dummy individuals

SYNOPSIS

Inherits EO< double >, EO< double >, EO< double >, EO< double >, EO< double >, and EO< double >.

  Public Types
typedef double Type
typedef double Type
typedef double Type
typedef double Type
typedef double Type
typedef double Type

  Public Member Functions
Dummy (std::string _s='')
void printOn (std::ostream &_os) const
Write object.
void printOn (std::ostream &_os) const
Write object.
void printOn (std::ostream &_os) const
Write object.
void printOn (std::ostream &_os) const
Write object.

  Public Attributes
std::string s
double xdist

Detailed Description

test program for the general operator - millenium version! uses dummy individuals

Definition at line 27 of file t-eoCheckpointing.cpp.

Member Function Documentation

  void Dummy::printOn (std::ostream & _os) const [inline, virtual]

Write object.

Called printOn since it prints the object _on_ a stream.

Parameters:
    _os A std::ostream.

Reimplemented from EO< double >.

Definition at line 41 of file t-eoGenOp.cpp.

References EO< F >::printOn().

  void Dummy::printOn (std::ostream & _os) const [inline, virtual]

Write object.

Called printOn since it prints the object _on_ a stream.

Parameters:
    _os A std::ostream.

Reimplemented from EO< double >.

Definition at line 23 of file t-eoReplacement.cpp.

References EO< F >::printOn().

  void Dummy::printOn (std::ostream & _os) const [inline, virtual]

Write object.

Called printOn since it prints the object _on_ a stream.

Parameters:
    _os A std::ostream.

Reimplemented from EO< double >.

Definition at line 18 of file t-eoSelect.cpp.

References EO< F >::printOn().

  void Dummy::printOn (std::ostream & _os) const [inline, virtual]

Write object.

Called printOn since it prints the object _on_ a stream.

Parameters:
    _os A std::ostream.

Reimplemented from EO< double >.

Definition at line 24 of file t-eoSharing.cpp.

References EO< F >::printOn().

Author

Generated automatically by Doxygen for EO from the source code.